### Method

# ECal Client remove_object

since: 3.2

#### Declaration [src]

    void
    e_cal_client_remove_object (
      ECalClient* client,
      const gchar* uid,
      const gchar* rid,
      ECalObjModType mod,
      ECalOperationFlags opflags,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

This function allows the removal of instances of a recurrent appointment. By using a combination of the `uid`, `rid` and `mod` arguments, you can remove specific instances. If what you want is to remove all instances, use `NULL` `rid` and #E_CAL_OBJ_MOD_ALL for the `mod`.

The call is finished by `e_cal_client_remove_object_finish()` from the `callback`.

Available since: 3.2

This method completes asynchronously. Use `e_cal_client_remove_object_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`uid`

  Type: `const gchar*`

  UID of the object to remove.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`rid`

  Type: `const gchar*`

  Recurrence ID of the specific recurrence to remove.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`mod`

  Type: `ECalObjModType`

  Type of the removal.

`opflags`

  Type: `ECalOperationFlags`

  Bit-or of `ECalOperationFlags`.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`; can be `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  Callback to call when a result is ready.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User data for the `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.